<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.server.host.setting.access-log" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="directory,extended,pattern,predicate,prefix,relative-to,rotate,suffix,use-server-log,worker"/>
        <elem name="addr-params" value="profile,subsystem,server,host,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow.host.access-log.$server.$host"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.server.host"/>
        <ref feature="subsystem.undertow.server"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="rotate" nillable="true" stability="default"/>
        <param name="prefix" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="pattern" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="suffix" nillable="true" stability="default"/>
        <param name="directory" nillable="true" stability="default"/>
        <param name="extended" nillable="true" stability="default"/>
        <param name="setting" feature-id="true" default="access-log"/>
        <param name="predicate" nillable="true" stability="default"/>
        <param name="relative-to" nillable="true" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="use-server-log" nillable="true" stability="default"/>
        <param name="worker" nillable="true" default="default" stability="default"/>
    </params>
</feature-spec>